# Balance sheets from Slide '"Making" Markets, Money, and Risk',
#    from about 6:18 in Lecture 21-6 "What is Shadow Banking", 
#    in "Economics of Money and Banking, Part Two"

require 'balancesheet'

CFB = BalanceSheet.new("Capital Funding Bank")
CFB['assets'].push('RMBS', 'CDS', 'IRS', 'FXS')
CFB['liabilities'].push('MM Funding')

AM = BalanceSheet.new("Asset Manager")
AM['assets'].push("\"deposits\"", ' ', ' ', ' ')
AM['liabilities'].push('Capital', 'CDS', 'IRS', 'FXS')

GMD = BalanceSheet.new("Global Money Dealer")
GMD['assets'].push('MM funding')
GMD['liabilities'].push("\"deposits\"")

CFB.draw
GMD.draw
AM.draw

DD = BalanceSheet.new("Derivative Dealer")
DD['assets'].push('Credit Default Swaps', 'Interest Rate Swaps', 'FX Swaps')
DD['liabilities'].push('Credit Default Swaps', 'Interest Rate Swaps', 'FX Swaps')

DD.draw
