## Example from "Economics of Money and Banking, Part Two",
##      Lecture 19-7 "Money market swaps, example"

require 'balancesheet'

AA = BalanceSheet.new('AA')
AA['assets'].push(' ')
AA['liabilities'].push('1 year deposit')

Morgan = BalanceSheet.new('Morgan')

AA['assets'].push('[1 year')
AA['liabilities'].push('3-mo LIBOR]')

Morgan['assets'].push('[3-mo LIBOR')
Morgan['liabilities'].push('1 year]')

AA.draw
Morgan.draw

AA['assets'].push(' ')
AA['liabilities'].push('Swap 4.44')

Morgan['assets'].push('Swap 4.44')
Morgan['liabilities'].push(' ')

AA.draw
Morgan.draw

LBO = BalanceSheet.new('LBO')
LBO['assets'].push(' ')
LBO['liabilities'].push('3 mo floating')
LBO['assets'].push('[3 mo')
LBO['liabilities'].push('1 year]')

Morgan['assets'].push('[1 year')
Morgan['liabilities'].push('3 mo]')

AA.draw
Morgan.draw
LBO.draw

Morgan['assets'].push(' ')
Morgan['liabilities'].push('Swap 4.47')

LBO['assets'].push('Swap 4.47')
LBO['assets'].push(' ')

AA.draw
Morgan.draw
LBO.draw
