# Balance sheets from "Economics of Money and Banking, Part Two",
#     Lecture 22-4: "Finance View: Risk"

require 'balancesheet'

RT = BalanceSheet.new("Risk Tolerant")
RT['assets'].push('150 market portfolio')
RT['liabilities'].push('50 loan')
RT['assets'].push(' '); RT['liabilities'].push(' ')
RT['assets'].push(' ')
RT['liabilities'].push('100 Net Worth')
RT.draw

B = BalanceSheet.new("Bank")
B['assets'].push('50 loan')
B['liabilities'].push('50 deposit')
B.draw('150 market portfolio'.length)

RA = BalanceSheet.new("Risk Averse")
RA['assets'].push('50 market portfolio ', '50 riskfree', ' ', ' ')
RA['liabilities'].push(' ', ' ', ' ', '100 Net Worth')
RA.draw

