## Example balance sheets dealing with swaps.
## Follows "Economics of Money and Banking, Part Two", 
##     Lecture 19-5: "Why swap - an example from Stigum"

require 'balancesheet'

AA = BalanceSheet.new('AA')
#AA['assets'].push(' ')
AA['liabilities'].push('Fixed rate borrowing bond 5.375')

BBB = BalanceSheet.new('BBB')
BBB['assets'].push(' ')
BBB['liabilities'].push("Flexible rate borrowing, 6-mo LIBOR + 1/4")

AA.draw
BBB.draw

AA['assets'].push('Fixed rate 5.50')
AA['liabilities'].push('LIBOR')

BBB['assets'].push('LIBOR')
BBB['liabilities'].push('Fixed rate 5.50')

AA.draw
BBB.draw

AA['assets'].push(' ')
AA['liabilities'].push('Swap LIBOR - 1/8')

BBB['assets'].push('Swap')
BBB['liabilities'].push('5.50 + 0.25 = 5.75 ')

AA.draw
BBB.draw

