## Examples in "Economics of Money and Banking, Part Two":
##     Lecture 19-6: "Market making in swaps"

require 'balancesheet'

AA = BalanceSheet.new('AA')
BBB = BalanceSheet.new('BBB')
IB = BalanceSheet.new('Investment Bank')

AA['assets'].push(' ')
AA['liabilities'].push('swap')

BBB['assets'].push('swap')
BBB['liabilities'].push(' ')

IB['assets'].push('swap AA')
IB['liabilities'].push('swap BBB')

AA.draw; IB.draw; BBB.draw

